#!/bin/sh

RETENTION_DAYS=7
PSQL="psql -h /var/run/postgresql"
DB_USER="pumpsense"
DB_NAME="mdhdb"

SQL="delete from kombu_message where visible='f' and timestamp < NOW() - INTERVAL '$RETENTION_DAYS DAYS';"
result=$(echo $SQL | $PSQL -w -U $DB_USER $DB_NAME 2>&1) && { 
	logger "Cleaned kombu messages, result: $result" 
} || {
	logger -p 3 "Cleaning kombu messages failed: $result"
}

